Subject: Re: root of a lock, was HOW_TO_IDENTIFY_LOCK_OWNER

From: Daniel Brotsky <[email-masked]>
Date: Wed, 13 Feb 2002 09:13:16 -0800

On Monday, January 14, 2002, at 12:19 PM, Jason Crawford wrote:

>
>
>> In addition to Geoff's answer:
>> If you are an administrator trying to unlock a resource obtained by
>> someone else, you have to be able to figure out which resource to
>> unlock.  You can't unlock an internal member of a collection that's
>> locked by a depth-inifinity lock without knowing which collection was
>> actually locked.
>
> CAN'T?
>
>
>> Then you can decide whether unlocking that is the
>> right thing to do.
>
> I think this is what Geoff was saying.  He's saying it is probably
> irresponsible to unlock a set of resources without knowing what 
> resources
> actually will become unlocked.
>
> But apparently before this sentence you are saying something different
> than Geoff.  Please explain.

I think I was just being mistaken :^).  I was thinking that somehow you 
could just unlock that single element, rather than that the unlock would 
apply to the whole collection.  That would be cute if you could do 
it :^).  Please ignore...

      dan